Bug 1049445 - Boot logs are visible during shutdown, before Plymouth starts (>5 secs)
Summary: Boot logs are visible during shutdown, before Plymouth starts (>5 secs)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm
Version: 7.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 7.0
Assignee: Ray Strode [halfline]
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-07 15:13 UTC by Martin
Modified: 2014-09-15 00:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-13 19:50:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Martin 2014-01-07 15:13:45 UTC
Version-Release number of selected component (if applicable):
RHEL-7.0-20140103.n.0

Steps to Reproduce: 
Make sure that your graphics driver supports KMS.

Make sure you have rhgb quiet options in kernel commandline and no nomodeset
option

Log in


 1. Start shutdown process



Actual results: 
I see only text mode with shutdown logs during >10 second shutdown.

Expected results:
You should see ring progress bar while the computer is shutting down; no texts
or shutdown logs.

Comment 1 Martin 2014-02-26 16:10:28 UTC
Actual results: 
I see text mode with shutdown logs now with short graphical Plymouth just before halt. Perhaps there is 5 seconds delay applied in shutdown process?

Expected results:
There shouldn't be any Plymouth delay during shutdown.

Comment 2 Ray Strode [halfline] 2014-02-26 18:50:19 UTC
there is an intentional 5 second delay at shutdown.  The idea is, if it takes less than 5 seconds to shut down (as it often will) then we shouldn't bother showing the boot splash.

Comment 0 made me think plymouth was adding an additional delay to the shutdown process on the order of 10 secs.  If the current behavior is like comment 1 and not like comment 0 (i.e. plymouth doesn't slow down shutdown and shows up after 5 seconds) i think it's probably working "as designed" and we can close this bug out.  Is that the case?

Comment 3 Ray Strode [halfline] 2014-02-26 18:50:55 UTC
s/boot splash/shutdown splash/

Comment 4 Martin 2014-02-27 11:25:07 UTC
There are still text logs during shutdown. I don't see them during boot until I hit Escape.

Comment 7 Matthias Clasen 2014-03-13 12:13:05 UTC
embarrassing maybe, but not a blocker

Comment 8 Martin 2014-03-13 13:34:02 UTC
I have proof-of-concept run: echo -en "\e[1;1H\e[2J" > /dev/tty1

This clears boot logs from VT and that's what I see during shutdown before Plymouth kicks in or machine resets.

This VT control sequence should by handled by Plymouth or systemd when shutdown/restart process is started, just before GDM is killed.

Comment 9 Ray Strode [halfline] 2014-03-13 14:22:15 UTC
you could argue this is a tier 3 blocker under the clause:

  * any significant usability issue with major features in RHEL7
    that make them look unfinished

We're pretty late to the party here but if we can figure out a minimal fix it might make sense to try to squeeze it in.

Comment 10 Ray Strode [halfline] 2014-03-13 14:24:08 UTC
though, if the problem is in fact, just bug 1076010 then it seems to me the most minimal, least invasive fix is to just fix that bug.

Comment 11 Martin 2014-03-13 14:32:08 UTC
(In reply to Ray Strode [halfline] from comment #10)
> though, if the problem is in fact, just bug 1076010 then it seems to me the
> most minimal, least invasive fix is to just fix that bug.

There are also other messages from boot. And I reproduce this on baremetal, while bug 1076010 is only on VM.

Comment 12 Ray Strode [halfline] 2014-03-13 15:42:28 UTC
I'm going to close this bug. comment 0 isn't a problem, comment 1 is "by design" and the remaining issue probably needs to be fixed in GDM or systemd or something since the flicker happens before plymouth is started.  Since this report has so much going on in it, I'd rather there was a new bug for the remaining issue.

Comment 13 Martin 2014-03-13 16:41:47 UTC
Adding following line into /usr/lib/systemd/system/gdm.service fixes the issue:

ExecStop=/bin/sh -c 'echo -en "\e[1;1H\e[2J" > /dev/tty1'

Comment 14 Ray Strode [halfline] 2014-03-13 17:33:43 UTC
Martin, do you mind filing this as a new bug and closing this one again?

It's a completely different issue, different component, etc...

Comment 15 Ray Strode [halfline] 2014-03-13 19:50:43 UTC
okay vincent filed bug 1076222, reclosing this one.

Comment 16 Ray Strode [halfline] 2014-03-13 19:51:52 UTC
(In reply to Ray Strode [halfline] from comment #15)
> okay vincent filed bug 1076222, reclosing this one.

^ vbenes, not vincent my hands typed something different than i was voicing there.


Note You need to log in before you can comment on or make changes to this bug.